View Issue Details

IDProjectCategoryView StatusLast Update
0001244SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.5 
Target Version3.4.6Fixed in Version3.4.6 
Summary0001244: Mariadb driver is chosen even though the MySQL driver is specified
DescriptionMariadb driver is chosen even though the MySQL driver is specified.

This happens because the Mariadb driver is registered with the DriverManager because it is in the classpath. Because it is first in the classpath, it is registered first and the Driver is selected because it can handle the matching URL. The solution is to deregister all drivers that don't match.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 3efd9427

2013-05-30 10:14:13

chenson

Details Diff
0001244: Mariadb driver is chosen even though the MySQL driver is specified
0001244
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/util/BasicDataSourceFactory.java Diff File

SymmetricDS: master 63cdfb95

2013-05-30 12:29:52

chenson

Details Diff
0001244: Mariadb driver is chosen even though the MySQL driver is specified
0001244
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/util/BasicDataSourceFactory.java Diff File

Issue History

Date Modified Username Field Change
2013-05-30 10:07 chenson New Issue
2013-05-30 10:07 chenson Status new => assigned
2013-05-30 10:07 chenson Assigned To => chenson
2013-05-30 10:10 chenson Description Updated View Revisions
2013-05-30 10:14 chenson Status assigned => resolved
2013-05-30 10:14 chenson Fixed in Version => 3.4.6
2013-05-30 10:14 chenson Resolution open => fixed
2013-06-06 14:43 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7287
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7288
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7289
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7290
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 63cdfb95
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 3efd9427